CVE-2012-2836

NameCVE-2012-2836
DescriptionThe exif_data_load_data function in exif-data.c in the EXIF Tag Parsing Library (aka libexif) before 0.6.21 allows remote attackers to cause a denial of service (out-of-bounds read) or possibly obtain sensitive information from process memory via crafted EXIF tags in an image.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2559-1
NVD severitymedium (attack range: remote)
Debian Bugs681454
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libexif (PTS)squeeze, squeeze (security)0.6.19-1+squeeze1fixed
wheezy0.6.20-3fixed
stretch, jessie, sid0.6.21-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libexifsource(unstable)0.6.20-3medium681454
libexifsourcesqueeze0.6.19-1+squeeze1mediumDSA-2559-1

Notes

https://bugzilla.novell.com/show_bug.cgi?id=771229
http://seclists.org/oss-sec/2012/q3/74

Search for package or bug name: Reporting problems